package tcp_tls

import (
	"crypto/tls"
	"net"

	"git.loafle.net/commons_go/server"
)

type ServerHandlers struct {
	server.ServerHandlers

	tlsConfig *tls.Config
}

func (sh *ServerHandlers) Listen() (net.Listener, error) {

	return tls.Listen("tcp", sh.Addr, sh.tlsConfig)
}
